Subject: FW: BCSGA: Student Services Program Appeal (FY26)
From: Nicky Damania <[email-masked]>
To: BC SGA Director of Finance <[email-masked]>
Date: Tue, 3 Mar 2026 01:46:56 +0000

Thank you,
Nickyd

From: The Office of Student Life at Bakersfield College <[email-masked]>
Sent: Monday, March 2, 2026 1:40 PM
To: [email-masked]
Subject: BCSGA: Student Services Program Appeal (FY26)

Student Name *
Nasir Wilcox
BC ID Number *
@00715096
BC Email *
[email-masked]<mailto:[email-masked]>
Who referred you to this appeals form? *
Admissions and Records
I have: *

  *   None of the above.
I currently: *

  *   None of the above.
Check Semester you'd like to appeal. *
Spring 2026
Please explain in detail why you are requesting a refund. A minimum 100 word statement is needed. *

Was recommended too by Admissions and Records. I have no knowledge of this sticker and am sure I have not used or received benefits from it. I have 4 different balances due that amount to 60 dollars on my balance due which would have kept me from graduating if I didn’t catch it. I don’t have 100 words this about sums it all up why I want to appeal. It would be nice if I could appeal the other semesters because I never used the benefits so I’m basically paying for nothing which sucks but hopefully I can at least get this semester removed